## Typing stubs for openpyxl

This is a [PEP 561](https://peps.python.org/pep-0561/)
type stub package for the [`openpyxl`](https://foss.heptapod.net/openpyxl/openpyxl) package.
It can be used by type-checking tools like
[mypy](https://github.com/python/mypy/),
[pyright](https://github.com/microsoft/pyright),
[pytype](https://github.com/google/pytype/),
[Pyre](https://pyre-check.org/),
PyCharm, etc. to check code that uses `openpyxl`. This version of
`types-openpyxl` aims to provide accurate annotations for
`openpyxl==3.1.5`.

This package is part of the [typeshed project](https://github.com/python/typeshed).
All fixes for types and metadata should be contributed there.
See [the README](https://github.com/python/typeshed/blob/main/README.md)
for more details. The source for this package can be found in the
[`stubs/openpyxl`](https://github.com/python/typeshed/tree/main/stubs/openpyxl)
directory.

This package was tested with
mypy 1.16.0,
pyright 1.1.400,
and pytype 2024.10.11.
It was generated from typeshed commit
[`eb495ff1353a538a5021341b3c905c35a2284899`](https://github.com/python/typeshed/commit/eb495ff1353a538a5021341b3c905c35a2284899).